wordpress出现:require(wp-blog-header.php) [function.require]: failed to open stream……解决办法

By | 2009年8月12日

今天升级2.8.4完了居然发现roov.org访问不了了,首页两行英文:

Warning: require(wp-blog-header.php) [function.require]: failed to open stream: No such file or directory in e:\www\web\roov.org\wwwroot\index.php on line 17

Fatal error: require() [function.require]: Failed opening required ‘wp-blog-header.php’ (include_path=’.;C:\php5\pear’) in e:\www\web\roov.org\wwwroot\index.php on line 17

记得上次安装wordpress的时候就出现过这个问题,想了下,去找了下答案。果真在wordpress.org.cn找到了:

把index.php里 require(‘./wp-blog-header.php’);   修改成 require(‘wp-blog-header.php’);

改完以后马上正常了,也不知道是不是WIN主机的原因。(看上去是roov.org,其实roov.org放在上面的,那个只是账户名而已)

而roov.org在LINUX主机上,就没这问题。

解决就好……

9 thoughts on “wordpress出现:require(wp-blog-header.php) [function.require]: failed to open stream……解决办法

      1. reizhi 博主

        把index.php里 require(‘./wp-blog-header.php’); 修改成 require(‘wp-blog-header.php’);
        请仔细看文章

        回复
      2. dreamibor

        大神啊!真的解决了,我是菜鸟,刚刚接触。。谢谢大神…..

        回复

发表评论

电子邮件地址不会被公开。 必填项已用*标注